Skip to main content
POST
/
v1
/
issuing
/
cards
/
{id}
/
status
Update Card Status
curl --request POST \
  --url https://api-sandbox.uqpaytech.com/api/v1/issuing/cards/{id}/status \
  --header 'Content-Type: application/json' \
  --header 'x-auth-token: <api-key>' \
  --header 'x-idempotency-key: <x-idempotency-key>' \
  --data '
{
  "card_status": "FROZEN",
  "update_reason": "<string>"
}
'
{
  "card_id": "c0cef051-29c5-4796-b86a-cd5b684bfad7",
  "card_order_id": "c0cef051-29c5-4796-b86a-cd5ee34bfad7",
  "order_status": "PENDING",
  "update_reason": "<string>"
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

x-idempotency-key
string<uuid>
required

A unique identifier (UUID) used to maintain operation idempotency, ensuring that repeated executions of the same operation do not result in unintended effects or duplication. It helps preserve data consistency in the face of network errors, retries, or failures.

Path Parameters

id
string<uuid>
required

Universally unique identifier (UUID v4) of a resource.

Example:

"71fdb0fe-9682-457a-9361-e8868694f12f"

Body

application/json
card_status
enum<string>
required

Card status enum. See the Card lifecycle and statuses guide for more information.

  • ACTIVE - The request to create the card was successful and the card is ready to use.
  • FROZEN - All incoming authorization requests will be declined. the card can be reactivated to accept new authorizations.
  • CANCELLED - The card cannot be reactivated from this state, all incoming authorization requests will be permanently declined.
Available options:
ACTIVE,
FROZEN,
CANCELLED
Example:

"FROZEN"

update_reason
string

The reason for updating card status.

Maximum string length: 100

Response

Card update successfully.

card_id
string
required

Unique identifier for the card.

Example:

"c0cef051-29c5-4796-b86a-cd5b684bfad7"

card_order_id
string
required

ID of the card order.

Example:

"c0cef051-29c5-4796-b86a-cd5ee34bfad7"

order_status
enum<string>
required

This field will contain the status of the request after processing.

  • PENDING -The initial status of the order request.
  • PROCESSING - If this status shall be subject to webhooks notification.
  • SUCCESS - The final status of the order request is successful.
  • FAILED - The final status of the order request is failed.
Available options:
PENDING,
PROCESSING,
SUCCESS,
FAILED
update_reason
string

The reason for updating card status.

Maximum string length: 100